Bug 786964 - Review Request: libsolv - Package dependency solver
Summary: Review Request: libsolv - Package dependency solver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-02 18:50 UTC by Karel Klíč
Modified: 2014-09-30 23:40 UTC (History)
6 users (show)

Fixed In Version: libsolv-0.0.0-1.git857fe28.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-19 01:59:29 UTC
Type: ---
akozumpl: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Karel Klíč 2012-02-02 18:50:01 UTC
SSpec URL: http://kklic.fedorapeople.org/libsolv.spec
SRPM URL: http://kklic.fedorapeople.org/libsolv-0.0.0-1.git857fe28.fc16.src.rpm
Description: 
A free package dependency solver using a satisfiability algorithm. The
library is based on two major, but independent, blocks:

- Using a dictionary approach to store and retrieve package
  and dependency information.

- Using satisfiability, a well known and researched topic, for
  resolving package dependencies.


rpmlint libsolv-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv.i686: W: spelling-error %description -l en_US satisfiability -> insatiability, advisability
libsolv.i686: W: shared-lib-calls-exit /usr/lib/libsolv.so.0 exit@GLIBC_2.0
libsolv.i686: W: shared-lib-calls-exit /usr/lib/libsolvext.so.0 exit@GLIBC_2.0
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint libsolv-0.0.0-1.git857fe28.fc17.src.rpm

libsolv.src: W: spelling-error %description -l en_US satisfiability -> insatiability, advisability
libsolv.src:14: W: macro-in-comment %{gitrev}
libsolv.src:14: W: macro-in-comment %{gitrev}
libsolv.src: W: invalid-url Source0: libsolv-857fe28.tar.xz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint python-solv-0.0.0-1.git857fe28.fc17.i686.rpm

python-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint perl-solv-0.0.0-1.git857fe28.fc17.i686.rpm

perl-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsolv-devel-0.0.0-1.git857fe28.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libsolv-debuginfo-0.0.0-1.git857fe28.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ruby-solv-0.0.0-1.git857fe28.fc17.i686.rpm

ruby-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsolv-tools-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv-tools.i686: W: no-documentation
libsolv-tools.i686: W: no-manual-page-for-binary repo2solv.sh
libsolv-tools.i686: W: no-manual-page-for-binary repomdxml2solv
libsolv-tools.i686: W: no-manual-page-for-binary mergesolv
libsolv-tools.i686: W: no-manual-page-for-binary dumpsolv
libsolv-tools.i686: W: no-manual-page-for-binary installcheck
libsolv-tools.i686: W: no-manual-page-for-binary deltainfoxml2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpmdb2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpmmd2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpms2solv
libsolv-tools.i686: W: no-manual-page-for-binary updateinfoxml2solv
1 packages and 0 specfiles checked; 0 errors, 11 warnings.


rpmlint libsolv-demo-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv-demo.i686: W: no-documentation
libsolv-demo.i686: W: no-manual-page-for-binary solv
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Ales Kozumplik 2012-02-03 12:01:37 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: python-solv-0.0.0-1.git857fe28.fc17.i686.rpm : /usr/lib/python2.7
     /site-packages/_solv.so perl-solv-0.0.0-1.git857fe28.fc17.i686.rpm :
     /usr/lib/perl5/vendor_perl/solv.so ruby-
     solv-0.0.0-1.git857fe28.fc17.i686.rpm :
     /usr/lib/ruby/site_ruby/1.8/i386-linux/solv.so


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-solv-0.0.0-1.git857fe28.fc17.i686.rpm

python-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsolv-tools-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv-tools.i686: W: no-documentation
libsolv-tools.i686: W: no-manual-page-for-binary repo2solv.sh
libsolv-tools.i686: W: no-manual-page-for-binary repomdxml2solv
libsolv-tools.i686: W: no-manual-page-for-binary mergesolv
libsolv-tools.i686: W: no-manual-page-for-binary dumpsolv
libsolv-tools.i686: W: no-manual-page-for-binary installcheck
libsolv-tools.i686: W: no-manual-page-for-binary deltainfoxml2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpmdb2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpmmd2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpms2solv
libsolv-tools.i686: W: no-manual-page-for-binary updateinfoxml2solv
1 packages and 0 specfiles checked; 0 errors, 11 warnings.


rpmlint libsolv-0.0.0-1.git857fe28.fc17.src.rpm

libsolv.src: W: spelling-error %description -l en_US satisfiability -> insatiability, advisability
libsolv.src:14: W: macro-in-comment %{gitrev}
libsolv.src:14: W: macro-in-comment %{gitrev}
libsolv.src: W: invalid-url Source0: libsolv-857fe28.tar.xz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint libsolv-devel-0.0.0-1.git857fe28.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libsolv-debuginfo-0.0.0-1.git857fe28.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libsolv-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv.i686: W: spelling-error %description -l en_US satisfiability -> insatiability, advisability
libsolv.i686: W: shared-lib-calls-exit /usr/lib/libsolv.so.0 exit@GLIBC_2.0
libsolv.i686: W: shared-lib-calls-exit /usr/lib/libsolvext.so.0 exit@GLIBC_2.0
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint ruby-solv-0.0.0-1.git857fe28.fc17.i686.rpm

ruby-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsolv-demo-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv-demo.i686: W: no-documentation
libsolv-demo.i686: W: no-manual-page-for-binary solv
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint perl-solv-0.0.0-1.git857fe28.fc17.i686.rpm

perl-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-solv-0.0.0-1.git857fe28.fc17.i686.rpm

python-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsolv-tools-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv-tools.i686: W: no-documentation
libsolv-tools.i686: W: no-manual-page-for-binary repo2solv.sh
libsolv-tools.i686: W: no-manual-page-for-binary repomdxml2solv
libsolv-tools.i686: W: no-manual-page-for-binary mergesolv
libsolv-tools.i686: W: no-manual-page-for-binary dumpsolv
libsolv-tools.i686: W: no-manual-page-for-binary installcheck
libsolv-tools.i686: W: no-manual-page-for-binary deltainfoxml2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpmdb2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpmmd2solv
libsolv-tools.i686: W: no-manual-page-for-binary rpms2solv
libsolv-tools.i686: W: no-manual-page-for-binary updateinfoxml2solv
1 packages and 0 specfiles checked; 0 errors, 11 warnings.


rpmlint libsolv-0.0.0-1.git857fe28.fc17.src.rpm

libsolv.src: W: spelling-error %description -l en_US satisfiability -> insatiability, advisability
libsolv.src:14: W: macro-in-comment %{gitrev}
libsolv.src:14: W: macro-in-comment %{gitrev}
libsolv.src: W: invalid-url Source0: libsolv-857fe28.tar.xz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint libsolv-devel-0.0.0-1.git857fe28.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libsolv-debuginfo-0.0.0-1.git857fe28.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint libsolv-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv.i686: W: spelling-error %description -l en_US satisfiability -> insatiability, advisability
libsolv.i686: W: shared-lib-calls-exit /usr/lib/libsolv.so.0 exit@GLIBC_2.0
libsolv.i686: W: shared-lib-calls-exit /usr/lib/libsolvext.so.0 exit@GLIBC_2.0
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint ruby-solv-0.0.0-1.git857fe28.fc17.i686.rpm

ruby-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint libsolv-demo-0.0.0-1.git857fe28.fc17.i686.rpm

libsolv-demo.i686: W: no-documentation
libsolv-demo.i686: W: no-manual-page-for-binary solv
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint perl-solv-0.0.0-1.git857fe28.fc17.i686.rpm

perl-solv.i686: W: spelling-error Summary(en_US) libsolv -> absolve
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[!]: MUST Development .so files in -devel subpackage, if present.
     Note: python-solv-0.0.0-1.git857fe28.fc17.i686.rpm : /usr/lib/python2.7
     /site-packages/_solv.so perl-solv-0.0.0-1.git857fe28.fc17.i686.rpm :
     /usr/lib/perl5/vendor_perl/solv.so ruby-
     solv-0.0.0-1.git857fe28.fc17.i686.rpm :
     /usr/lib/ruby/site_ruby/1.8/i386-linux/solv.so


Generated by fedora-review 0.1.2
External plugins:

Comment 2 Karel Klíč 2012-02-06 18:29:19 UTC
Thank you for the review.

New Package SCM Request
=======================
Package Name: libsolv
Short Description: Package dependency solver
Owners: kklic
Branches: f16 el6
InitialCC:

Comment 3 Gwyn Ciesla 2012-02-06 18:52:40 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2012-02-08 12:52:14 UTC
libsolv-0.0.0-1.git857fe28.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libsolv-0.0.0-1.git857fe28.fc16

Comment 5 Fedora Update System 2012-02-08 12:52:24 UTC
libsolv-0.0.0-1.git857fe28.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libsolv-0.0.0-1.git857fe28.el6

Comment 6 Fedora Update System 2012-02-08 22:57:03 UTC
libsolv-0.0.0-1.git857fe28.fc16 has been pushed to the Fedora 16 testing repository.

Comment 7 Fedora Update System 2012-02-19 01:59:29 UTC
libsolv-0.0.0-1.git857fe28.fc16 has been pushed to the Fedora 16 stable repository.

Comment 8 Fedora Update System 2012-02-28 17:30:29 UTC
libsolv-0.0.0-1.git857fe28.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.